namespace NetinaShop.AdminPanel.PWA.Services.RestServices;

public interface IProductCategoryRestApi
{

    [Get("")]
    Task<List<ProductCategorySDto>> ReadAll();
    [Get("")]
    Task<List<ProductCategorySDto>> ReadAll([Query] int page);
    [Get("")]
    Task<List<ProductCategorySDto>> ReadAll([Query] int page,[Query]string categoryName);
    [Get("")]
    Task<List<ProductCategorySDto>> ReadAll([Query] string categoryName);
}